Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.uma.protocol.v1
Class SendUrgentMedicalAidAttestationRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.commons.protocol.v2.AuthorRequestType
              be.fgov.ehealth.mediprima.uma.protocol.v1.SendUrgentMedicalAidAttestationRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:45:22+02:00",
               comments="JAXB RI v2.2.11")
    public class SendUrgentMedicalAidAttestationRequest

extends AuthorRequestType
implements Serializable

Send urgent medical aid attestation request

Java class for SendUrgentMedicalAidAttestationRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SendUrgentMedicalAidAttestationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}AuthorRequestType">
           <sequence>
             <element name="BeneficiarySsin" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ValidityPeriod" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}PeriodType"/>
             <element name="MedicalCover" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}MedicalCoverType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SendUrgentMedicalAidAttestationRequest()`

Method Summary
`String` | `getBeneficiarySsin()` Gets the value of the beneficiarySsin property.
`String` | `getMedicalCover()` Gets the value of the medicalCover property.
`PeriodType` | `getValidityPeriod()` Gets the value of the validityPeriod property.
`void` | `setBeneficiarySsin(String value)` Sets the value of the beneficiarySsin property.
`void` | `setMedicalCover(String value)` Sets the value of the medicalCover property.
`void` | `setValidityPeriod(PeriodType value)` Sets the value of the validityPeriod property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.AuthorRequestType
`getAuthor, setAuthor`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendUrgentMedicalAidAttestationRequest

    public SendUrgentMedicalAidAttestationRequest()

Method Detail

### getBeneficiarySsin

    public String getBeneficiarySsin()

  Gets the value of the beneficiarySsin property.

  Returns:
    possible object is `String`

### setBeneficiarySsin

    public void setBeneficiarySsin(String value)

  Sets the value of the beneficiarySsin property.

  Parameters:
    `value` - allowed object is `String`

### getValidityPeriod

    public PeriodType getValidityPeriod()

  Gets the value of the validityPeriod property.

  Returns:
    possible object is `PeriodType`

### setValidityPeriod

    public void setValidityPeriod(PeriodType value)

  Sets the value of the validityPeriod property.

  Parameters:
    `value` - allowed object is `PeriodType`

### getMedicalCover

    public String getMedicalCover()

  Gets the value of the medicalCover property.

  Returns:
    possible object is `String`

### setMedicalCover

    public void setMedicalCover(String value)

  Sets the value of the medicalCover property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.